@import url("https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: "Poppins", sans-serif;
}

ul {
  list-style: none;
}
a {
  text-decoration: none;
}
#main {
  width: 100%;
  height: 100vh;
  position: relative;
}
nav {
  display: flex;
  justify-content: space-around;
  align-items: center;
  box-shadow: 5px 10px 30px rgba(0, 0, 0, 0.02);
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  z-index: 1;
  background-color: #ffffff;
}
.logo img {
  height: 45px;
}
nav ul {
  display: flex;
}
nav ul li a {
  height: 40px;
  line-height: 43px;
  margin: 3px;
  padding: 0px 22px;
  display: flex;
  font-size: 0.8rem;
  text-transform: uppercase;
  font-weight: 500;
  color: #585b5b;
  letter-spacing: 1px;
}
.halo {
  color: #39bfbd;
  font-weight: 500;
  font-size: 0.9rem;
  border-bottom: 2px solid #40c6c4;
}
nav ul li a:hover {
  background-color: #2adabc;
  color: #ffffff;
  box-shadow: 5px 10px 30px rgba(64, 198, 196, 0.3);
  transition: all ease 0.2s;
}
.model img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.model {
  width: 500px;
  height: 500px;
}
.content {
  width: 90%;
  display: flex;
  justify-content: space-around;
  align-items: center;
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}
.main-text {
  width: 500px;
}
.main-text h1 {
  font-size: 3.5rem;
  color: #1c3548;
  margin: 0px 0px 10px 0px;
  line-height: 60px;
}
.main-text p {
  color: #747474;
  font-size: 2em;
  font-weight: bold;
}
.portfolio-btn {
  width: 190px;
  height: 44px;
  margin-top: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
  background-color: #1db096;
  border-radius: 20px;
  box-shadow: 4px 10px 30px rgba(24, 139, 119, 0.2);
}
.portfolio-btn:hover {
  background-color: #23cdaf;
  transition: all ease 0.2s;
}
#skills {
  display: flex;
  justify-content: space-around;
  align-items: center;
  width: 100%;
  margin: auto auto 50px auto;
  background-color: #f0f0f0;
}
.skill-text {
  width: 400px;
}
.skill-img {
  width: 600px;
  height: 600px;
}
.skill-img img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}
.skill-heading span {
  color: #36b7b5;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 1rem;
}
.skill-heading h2 {
  color: #1c3548;
  font-size: 3.3rem;
  margin: 0px;
  font-weight: 400;
  letter-spacing: 1px;
}
.s-box-container {
  margin-top: 30px;
}
.skill-box {
  display: flex;
  margin: 25px 0px;
}
.s-box-icon {
  margin-right: 12px;
}
.s-box-icon i {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #f0f0f0;
  font-size: 1.1rem;
}
.s-box-text strong {
  color: #1c3548;
  margin: 0px;
  font-size: 1.1rem;
  font-weight: 600;
}
.s-box-text p {
  color: #747474;
  font-size: 1.1rem;
}
.fa-html5 {
  color: #e06061;
}
.fa-css3-alt {
  color: #416cdf;
}
.fa-js-square {
  color: #f98231;
}

#recent {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 30px 0px;
  flex-direction: column;
}
.recent-heading span,
.client-heading span {
  color: #36b7b5;
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 2px;
  font-size: 1.1rem;
}
.recent-heading h3,
.client-heading h3,
#contact h3 {
  color: #1c3548;
  font-size: 3rem;
  margin: 0px;
  font-weight: 400;
  letter-spacing: 1px;
}
.recent-img {
  margin: 0px 40px;
}
.recent-img img {
  width: 100%;
  height: 100%;
}
.recent-btn {
  width: 190px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
  background-color: #1db096;
  border-radius: 20px;
  box-shadow: 4px 10px 30px rgba(24, 139, 119, 0.2);
}

.recent-btn:hover {
  background-color: #23cdaf;
  transition: all ease 0.2s;
}
.recent-btn {
  width: 190px;
  margin-top: -20px;
}

#client {
  width: 100%;
  border-top: 1px solid rgba(58, 58, 58, 0.03);
  border-bottom: 1px solid rgba(58, 58, 58, 0.03);
  padding: 50px 0px;
  background-image: url("../images/bg.png");
  background-position: center;
  background-size: 1000px;
  background-color: #f0f0f0;
}
.client-heading {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.c-box-container {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  margin: 20px 0px;
}
.client-box {
  width: 310px;
  height: 350px;
  background-color: #ffffff;
  border-radius: 10px;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  padding: 10px;
  margin: 20px;
  box-shadow: 5px 10px 30px rgba(0, 0, 0, 0.08);
}
.client-box img {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  object-fit: cover;
}
.client-box strong {
  color: #1c3548;
  margin: 0px;
  font-size: 1.1rem;
  font-weight: 600;
  margin-top: 10px;
}
.star {
  display: flex;
  margin: 10px 0px 10px 0px;
}
.star i {
  color: #ff9529;
}
.client-box p {
  color: #747474;
  font-size: 0.9rem;
  margin: 0px;
  text-align: center;
  display: block;
  display: -webkit-box;
  max-width: 80%;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}
.client-box a {
  width: 190px;
  height: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
  background-color: #1db096;
  border-radius: 20px;
  box-shadow: 4px 10px 30px rgba(24, 139, 119, 0.2);
}
.client-box a {
  width: 140px;
  margin-top: 20px;
  border-radius: 0px;
}
.client-box:hover {
  transform: translateY(-10px);
  box-shadow: 5px 10px 30px rgba(0, 0, 0, 0.1);
  background-color: #23cdaf;
  transition: all ease 0.2s;
}

#contact {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 40px 0px;
}
#contact h3 {
  font-size: 2.5rem;
  margin: 20px;
}
#contact img {
  height: 300px;
}
.contact-input {
  width: 400px;
  height: 50px;
  background-color: #ffffff;
  display: flex;
  justify-content: center;
  border-radius: 50px;
  box-shadow: 2px 2px 30px rgba(0, 0, 0, 0.15);
}
.contact-input input {
  width: 100%;
  background-color: transparent;
  border: none;
  outline: none;
  text-align: center;
  color: #242425;
}
.contact-input a {
  width: 200px;
  height: 35px;
  background-color: #1db096;
  color: #ffffff;
  display: flex;
  font-size: 0.9rem;
  justify-content: center;
  align-items: center;
  margin: auto 10px;
  border-radius: 20px;
  font-weight: 500;
}
footer {
  display: flex;
  justify-content: space-around;
  border-top: 1px solid rgba(232, 232, 232, 0.5);
  background-color: #ffffff;
}
footer p {
  margin: 15px 0px;
  color: #5f5f5f;
  font-size: 0.9rem;
}

nav .menu-btn,
.menu-icon {
  display: none;
}
@media (max-width: 1200px) {
  .content {
    width: 100%;
  }
  .model {
    width: 400px;
    height: 400px;
  }
  .main-text,
  .model {
    margin: 10px;
  }
  .main-text h1 {
    font-size: 3rem;
  }
  .skill-img {
    width: 400px;
    height: 400px;
  }
  .client-box {
    flex-grow: 0.5;
  }
}
@media (max-width: 992px) {
  .menu-icon {
    display: block;
  }
  nav {
    justify-content: space-between;
    height: 65px;
    padding: 0px 30px;
  }
  .logo img {
    height: 35px;
  }
  .menu {
    display: none;
    position: absolute;
    top: 65px;
    left: 0px;
    background-color: #ffffff;
    border-bottom: 4px solid #1db096;
    width: 100%;
    padding: 0px;
    margin: 0px;
  }
  .menu li {
    width: 100%;
  }
  nav .menu li a {
    width: 100%;
    height: 40px;
    justify-content: center;
    align-items: center;
    margin: 0px;
    padding: 25px;
    border: 1px solid rgba(38, 38, 38, 0.03);
  }
  nav .menu-icon {
    cursor: pointer;
    float: right;
    padding: 28px 20px;
    position: relative;
    user-select: none;
  }
  nav .menu-icon .nav-icon {
    background-color: #333333;
    display: block;
    height: 2px;
    position: relative;
    transition: background 0.2s ease-out;
    width: 18px;
  }
  nav .menu-icon .nav-icon:before,
  nav .menu-icon .nav-icon:after {
    background: #333;
    content: "";
    display: block;
    height: 100%;
    position: absolute;
    transition: all ease-out 0.2s;
    width: 100%;
  }
  nav .menu-icon .nav-icon:before {
    top: 5px;
  }
  nav .menu-icon .nav-icon:after {
    top: -5px;
  }
  nav .menu-btn:checked ~ .menu-icon .nav-icon {
    background: transparent;
  }
  nav .menu-btn:checked ~ .menu-icon .nav-icon:before {
    transform: rotate(-45deg);
    top: 0;
  }
  nav .menu-btn:checked ~ .menu-icon .nav-icon:after {
    transform: rotate(45deg);
    top: 0;
  }
  nav .menu-btn {
    display: none;
  }
  nav .menu-btn:checked ~ .menu {
    display: block;
  }
  #skills {
    width: 100%;
    justify-content: space-between;
    padding-left: 40px;
  }
  .skill-text {
    width: 400px;
  }
  .skill-img {
    display: none;
  }
  .skill-img img {
    object-fit: cover;
    object-position: left;
  }
  .recent-heading h3,
  .client-heading h3,
  #contact h3 {
    font-size: 2.2rem;
    text-align: center;
  }
  .recent-heading {
    text-align: center;
    padding: 0px 15px;
  }
}
@media (max-width: 768px) {
  .model {
    display: none;
  }
  .main-text {
    width: 70%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
  .skill-img {
    display: none;
  }
  #contact img {
    height: 200px;
  }
  footer {
    justify-content: center;
    padding: 10px 20px;
  }
  footer p {
    text-align: center;
  }
  .recent-btn {
    margin: 0px;
  }
}
@media (max-width: 576px) {
  .contact-input {
    width: 90%;
  }
  .skill-img {
    display: none;
  }
  .skill-text {
    width: 85%;
  }
  #skills {
    margin: 0px;
  }
}
